# Lohndaten aktualisieren

`PUT https://{tenant}.stamp.eu/rest/employees/{employee}/payroll`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |

## Request-Body

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `birth_name` | string \| null | nein | Personal |
| `name_prefix` | string \| null | nein |  |
| `name_suffix` | string \| null | nein |  |
| `title` | string \| null | nein |  |
| `street` | string \| null | nein |  |
| `postal_code` | string \| null | nein |  |
| `city` | string \| null | nein |  |
| `birth_date` | string \| null | nein |  |
| `birth_place` | string \| null | nein |  |
| `nationality` | string \| null | nein |  |
| `gender` | `m`, `f`, `d` \| null | nein |  |
| `marital_status` | `single`, `married`, `separated`, `divorced`, `widowed`, `civil_partnership` \| null | nein |  |
| `tax_id` | string \| null | nein | Tax |
| `tax_class` | `1`, `2`, `3`, `4`, `4F`, `5`, `6` \| null | nein |  |
| `tax_factor` | number \| null | nein |  |
| `religion` | string \| null | nein |  |
| `spouse_religion` | string \| null | nein |  |
| `number_of_children` | integer \| null | nein |  |
| `child_tax_allowance` | number \| null | nein |  |
| `pension_obligation` | `liable`, `exempt`, `exempt_on_request`, `pensioner` \| null | nein |  |
| `insurance_type` | `statutory`, `private`, `exempt`, `marginal` \| null | nein |  |
| `health_insurance_name` | string \| null | nein |  |
| `health_insurance_number` | string \| null | nein |  |
| `health_insurance_company_number` | string \| null | nein |  |
| `health_insurance_member_number` | string \| null | nein |  |
| `pkv_provider` | string \| null | nein |  |
| `pkv_monthly_premium` | number \| null | nein |  |
| `pension_insurance_number` | string \| null | nein | Pension — the confirmed flag lets payroll staff store numbers that deviate from the VSNR scheme (foreign careers, legacy records). |
| `pension_insurance_number_confirmed` | boolean | nein |  |
| `pension_fund` | string \| null | nein |  |
| `pension_fund_member_number` | string \| null | nein |  |
| `social_fund` | string \| null | nein | Social fund |
| `social_fund_employee_number` | string \| null | nein |  |
| `outpatient_care` | boolean \| null | nein | Employment |
| `lbnr` | string \| null | nein |  |
| `job_title` | string \| null | nein |  |
| `profession` | string \| null | nein |  |
| `education_level` | `1`, `2`, `3`, `4`, `5` \| null | nein |  |
| `is_shareholder` | boolean \| null | nein | Special |
| `is_student` | boolean \| null | nein |  |
| `multiple_employment` | boolean \| null | nein |  |
| `disability_degree` | `0`, `20`, `30`, `40`, `50`, `60`, `70`, `80`, `90`, `100` \| null | nein |  |
| `bank_account_holder` | string \| null | nein | Bank |
| `iban` | string \| null | nein |  |
| `bic` | string \| null | nein |  |

## Antworten

### 200: `EmployeePayrollDataResource`

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `data` | object | ja |  |
| `data.id` | string | ja |  |
| `data.employee_id` | string | ja |  |
| `data.birth_name` | string | ja | Personal |
| `data.name_prefix` | string | ja |  |
| `data.name_suffix` | string | ja |  |
| `data.title` | string | ja |  |
| `data.street` | string | ja |  |
| `data.postal_code` | string | ja |  |
| `data.city` | string | ja |  |
| `data.birth_date` | string | ja |  |
| `data.birth_place` | string | ja |  |
| `data.nationality` | string | ja |  |
| `data.gender` | string | ja |  |
| `data.marital_status` | string | ja |  |
| `data.tax_id` | string | ja | Tax |
| `data.tax_class` | string | ja |  |
| `data.tax_factor` | number \| null | ja |  |
| `data.religion` | string | ja |  |
| `data.spouse_religion` | string | ja |  |
| `data.number_of_children` | string | ja |  |
| `data.child_tax_allowance` | number \| null | ja |  |
| `data.pension_obligation` | string | ja |  |
| `data.insurance_type` | string | ja | Health insurance |
| `data.health_insurance_name` | string | ja |  |
| `data.health_insurance_number` | string | ja |  |
| `data.health_insurance_company_number` | string | ja |  |
| `data.health_insurance_member_number` | string | ja |  |
| `data.pkv_provider` | string | ja |  |
| `data.pkv_monthly_premium` | number \| null | ja |  |
| `data.pension_insurance_number` | string | ja | Pension |
| `data.pension_fund` | string | ja |  |
| `data.pension_fund_member_number` | string | ja |  |
| `data.social_fund` | string | ja | Social fund |
| `data.social_fund_employee_number` | string | ja |  |
| `data.outpatient_care` | string | ja | Employment |
| `data.lbnr` | string | ja |  |
| `data.job_title` | string | ja |  |
| `data.profession` | string | ja |  |
| `data.education_level` | string | ja |  |
| `data.is_shareholder` | string | ja | Special |
| `data.is_student` | string | ja |  |
| `data.multiple_employment` | string | ja |  |
| `data.disability_degree` | string | ja |  |
| `data.bank_account_holder` | string | ja | Bank |
| `data.iban` | string | ja |  |
| `data.bic` | string | ja |  |
| `data.stammdaten_confirmed_at` | string | ja | eAU Stammdaten-Bestätigung |
| `data.stammdaten_confirmed_by` | string | ja |  |
| `data.updated_at` | string | ja |  |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
